/*

  The contents of this file are subject to the Mozilla Public License Version
  1.1 (the "License"); you may not use this file except in compliance with
  the License. You may obtain a copy of the License at

           http://www.mozilla.org/MPL/

  Software distributed under the License is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
  for the specific language governing rights and limitations under the License.

  The Original Code is ActionScriptFacile Framework.

  The Initial Developer of the Original Code is
  Matthieu  - http://www.actionscript-facile.com
  Portions created by the Initial Developer are Copyright (C) 2010
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

*/

package puremvc.app
{
	import puremvc.app.controller.LoadMenuCommand;
	import puremvc.app.controller.ApplicationStartupCommand;
	import org.puremvc.as3.interfaces.IFacade;
	import org.puremvc.as3.patterns.facade.Facade;

	
	/**
	 * Exemple de création d'une Application Flash avec PureMCV 
	 * et des Composants du Framework AS3 ActionScript-Facile.
	 * 
	 * @author Matthieu
	 */
	public class ApplicationFacade extends Facade implements IFacade
	{
		// définition des noms des évènements par ApplicationFacade pour excécuter des commandes
		public static const STARTUP:String = "startup";
		public static const COMMAND_LOAD_MENU:String = "LoadMenuCommand";
		
		// évènements utilisés par les Mediators
		public static const LOADING_MENU_COMPLETE:String = "loadingMenuComplete";
		public static const VIEW_CONTENT:String = "viewContent";
		public static const ERROR_LOAD_FILE:String = "Le fichier ne peut pas être chargé";
		


		// La façade concrète de votre application
		public function ApplicationFacade() 
		{
			super();
		}
		
		/**
		 * Retourne l'instance de notre façade concrète
		 * 
		 */
		public static function getInstance():ApplicationFacade
		{
			if (instance == null)
		     		instance = new ApplicationFacade();
		     return instance as ApplicationFacade;
		}
		
			
		/**
		 * Envoie la notification pour démarrer l'application
		 * 
		 */
		public function startup(stage:Object ):void
		{
			sendNotification(STARTUP, stage);
		}

		 
		/**
		 * Initialise le contrôleur
		 * Et enregistre les commandes pour que celles-ci s'exécutent à l'envoi des notifications correspondantes. 
		 * 
		 */
		protected override function initializeController():void
		{
			super.initializeController();
		    registerCommand(STARTUP, ApplicationStartupCommand);
			registerCommand(COMMAND_LOAD_MENU, LoadMenuCommand);
		}
	}
}