package puremvc.app.model
{
	import flash.net.URLRequest;

	import flash.events.IOErrorEvent;
	import flash.events.Event;
	import org.osflash.thunderbolt.Logger;
	import flash.net.URLLoader;
	
	/**
	 * @author matth
	 */
	public class LoadXMLDelegate
	{
		private var sXml : String;
 		private var oProxy:MenuProxy;
 		
        public function LoadXMLDelegate(proxy:MenuProxy, url:String) 
        {
			// chargement du fichier xml et gestion du cache du navigateur
			sXml = url;
			oProxy = proxy;
		}


		public function load() : void
		{
			// chargement du fichier XML
			var loader:URLLoader = new URLLoader();
			loader.addEventListener(Event.COMPLETE, completeHandler );
			loader.addEventListener(IOErrorEvent.IO_ERROR, errorHandler );
			
			var file:URLRequest =  new URLRequest(sXml);
			loader.load(file );
		}

 
        private function errorHandler(e:IOErrorEvent):void 
		{
			// gestion des erreurs
			var loader:URLLoader = e.target as URLLoader;
			loader.removeEventListener(Event.COMPLETE, completeHandler );
			loader.removeEventListener(IOErrorEvent.IO_ERROR, errorHandler );
			
			Logger.debug ("errorHandler : "+e.text);
			oProxy.error(e.text);
			/*var text:TextField = addChild( new TextField() ) as TextField;
			text.width = stage.stageWidth;
			text.autoSize = 'center';
			text.text = "Erreur : "+e.text;*/
		}
		
		private function completeHandler(e:Event):void 
		{
			// récupération des données puis transmission de celles-ci à la méthode parseInterface
			var loader:URLLoader = e.target as URLLoader;
			loader.removeEventListener(Event.COMPLETE, completeHandler );
			loader.removeEventListener(IOErrorEvent.IO_ERROR, errorHandler );
			
			// Logger.debug ("xml analysé");
			oProxy.success(new XML( loader.data ) );
		}
	}
}
