package puremvc.app.view
{
	import flash.display.Sprite;
	import flash.display.Stage;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.mediator.Mediator;
	import puremvc.app.ApplicationFacade;
	import org.puremvc.as3.interfaces.IMediator;
	
	
	/**
	 * ApplicationMediator est le médiateur de notre vue principale.
	 * Il est chargé d'enregistrer tous les autres médiateurs de notre application.
	 * Il sera à l'écoute d'une notification, VIEW_MENU
	 * et lorsqu'il recevra cette notification il changera l'index du viewstack 
	 * pour afficher la vue contenant notre composant MenuView.
	 * 
	 * Il dispose aussi d'un getter permettant de récupérer l'instance de notre mxml principal. 
	 * 
	 * @author matth
	 */
	public class ApplicationMediator extends Mediator implements IMediator
    {
        public static const NAME:String = "ApplicationMediator";
        
        public static const HOME_VIEW:Number = 0;
        public static const MENU_VIEW:Number = 1;
 
        public function ApplicationMediator(viewComponent:Object)
        {
			super(NAME, viewComponent);
			
			// position des vues
			var viewMenu:Sprite = new Sprite();
			var viewContent:Sprite = new Sprite();
			stage.addChild(viewMenu);
			stage.addChild(viewContent);
			
			// création des vues
			facade.registerMediator(new ContentViewMediator( viewContent ));
			facade.registerMediator(new MenuViewMediator( viewMenu ));
        }
 
        override public function listNotificationInterests():Array
        {
            return [];
        }
 
 
        override public function handleNotification(note:INotification):void
        {
            switch (note.getName())
            {
                //case ApplicationFacade.VIEW_MENU:
                //    break;
            }
        }
 
 
        protected function get stage():Stage
        {
            return viewComponent as Stage;
        }

 
 
    }

}
