package puremvc.app.view
{
	import com.actionscriptfacile.ui.text.UITextField;
	import flash.display.Sprite;
	import com.as3facileexemple.skin.classic.DefaultButtonSkin2;
	import com.as3facileexemple.skin.classic.DefaultButtonSkin;

	import flash.events.MouseEvent;

	import org.puremvc.as3.interfaces.INotification;
	import puremvc.app.ApplicationFacade;
	import org.puremvc.as3.interfaces.IMediator;
	import org.puremvc.as3.patterns.mediator.Mediator;
	
	/**
	 * Permet de construire notre menu et d'interagir avec nos composants graphiques.
	 * 
	 * @author matth
	 */
	public class ContentViewMediator extends Mediator implements IMediator
    {
        public static const NAME:String = "ContentViewMediator";
 		private var oTextContent:UITextField;
        
        public function ContentViewMediator(viewComponent:Object)
        {
        	super(NAME, viewComponent);
        	oTextContent = new UITextField();
			
			oTextContent.x = 10;
			oTextContent.y = 60;
			oTextContent.width = oTextContent.maxWidth = 530;
			oTextContent.height  = oTextContent.maxHeight = 330;
			
			oTextContent.selectable = false;
			oTextContent.multiline = true; // pour la balises html <br />
			oTextContent.background = false;
			oTextContent.backgroundColor = 0Xcccccc;
			oTextContent.changeFormat("font", "Arial");// changement de la taille de la police du texte
			oTextContent.changeFormat("color", Math.random() * 0XFFFFFF);// changement de la couleur
			oTextContent.wordWrap = true;// retour à la ligne automatique
			stage.addChild(oTextContent);
        }
        
        
 
 		/**
 		 * Transtypage du viewComponent en son type actuel.
 		 * 
 		 */
        protected function get stage():Sprite
        {
            return viewComponent as Sprite;
        }
 		
 		
 		/**
 		 * Notifications attendues.
 		 * 
 		 */
        override public function listNotificationInterests():Array
        {
			return [ApplicationFacade.VIEW_CONTENT];
        }
 		
 		
 		/**
 		 * Gestion des notifications.
 		 * 
 		 */
        override public function handleNotification(note:INotification):void
        {
        	//Logger.debug ("handleNotification ContentViewMediator : "+note.getBody());
            switch (note.getName())
            {
                case ApplicationFacade.VIEW_CONTENT:
                    // mise à jour du contenu du texte
                    oTextContent.htmlText = String( note.getBody() );
                    break;
            }
		}

 
    }

}
